This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 681403 - RHQ Enterprise Remote CLI 3.0.1.GA Security Exception
RHQ Enterprise Remote CLI 3.0.1.GA Security Exception
Status: CLOSED DUPLICATE of bug 685003
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.0.0
All All
medium Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: jon3 685003
  Show dependency treegraph
 
Reported: 2011-03-01 21:48 EST by Myee Riri
Modified: 2011-10-04 15:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-01 12:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log with the entire exception (78.19 KB, text/plain)
2011-03-01 22:46 EST, Myee Riri
no flags Details

  None (edit)
Description Myee Riri 2011-03-01 21:48:31 EST
Just upgraded to JON 2.4 and installed the cli from the downloads page.

When I use the cli (rhq-remoting-cli-3.0.1.GA) to connect to JON 2.4.1 I get the following:

Failed to load manager SubjectManager due to missing class: java.lang.reflect.InvocationTargetException

Failed to load manager SystemManager due to missing class: java.lang.reflect.InvocationTargetException

Here is the example output:

[root@spongebob bin]# /opt/apps/rhq-remoting-cli-3.0.1.GA/bin/rhq-cli.sh -s localhost -u rhqadmin -p rhqadmin -t 7080

rhq-cli.sh: RHQ_CLI_HOME: /opt/apps/rhq-remoting-cli-3.0.1.GA

rhq-cli.sh: RHQ_CLI_JAVA_HOME: /usr/java/latest

rhq-cli.sh: RHQ_CLI_JAVA_EXE_FILE_PATH: /usr/java/latest/bin/java

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/commons-logging-1.1.0.jboss.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/concurrent-1.3.4-jboss-update1.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/getopt-1.0.13.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/i18nlog-1.0.10.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/javassist-3.8.0.GA.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/jboss-common-1.2.1.GA.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/jboss-remoting-2.2.2.SP8.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/jline-0.9.94.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/log4j-1.2.14.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/opencsv-1.8.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/persistence-api-1.0.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-core-domain-3.0.1.GA.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-core-util-3.0.1.GA.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-enterprise-comm-3.0.1.GA.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-enterprise-server-3.0.1.GA.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-remoting-cli-3.0.1.GA.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-remoting-client-api-3.0.1.GA.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/testng-5.9-jdk15.jar

rhq-cli.sh: CLASSPATH entry: /opt/apps/rhq-remoting-cli-3.0.1.GA/jbossws-native-dist/deploy/lib/jbossws-client.jar

rhq-cli.sh: RHQ_CLI_JAVA_OPTS: -Xms64m -Xmx128m -Djava.net.preferIPv4Stack=true

rhq-cli.sh: RHQ_CLI_JAVA_ENDORSED_DIRS: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib/endorsed

rhq-cli.sh: RHQ_CLI_JAVA_LIBRARY_PATH: /opt/apps/rhq-remoting-cli-3.0.1.GA/lib

rhq-cli.sh: RHQ_CLI_ADDITIONAL_JAVA_OPTS:

rhq-cli.sh: RHQ_CLI_CMDLINE_OPTS: -s localhost -u rhqadmin -p rhqadmin -t 7080

rhq-cli.sh: Executing the CLI with this command line:

rhq-cli.sh: /usr/java/latest/bin/java -Djava.endorsed.dirs="/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/endorsed" -Djava.library.path="/opt/apps/rhq-remoting-cli-3.0.1.GA/lib" -Xms64m -Xmx128m -Djava.net.preferIPv4Stack=true  -Dlog4j.configuration=log4j-debug.xml -cp /opt/apps/rhq-remoting-cli-3.0.1.GA/conf:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/commons-logging-1.1.0.jboss.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/concurrent-1.3.4-jboss-update1.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/getopt-1.0.13.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/i18nlog-1.0.10.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/javassist-3.8.0.GA.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/jboss-common-1.2.1.GA.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/jboss-remoting-2.2.2.SP8.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/jline-0.9.94.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/log4j-1.2.14.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/opencsv-1.8.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/persistence-api-1.0.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-core-domain-3.0.1.GA.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-core-util-3.0.1.GA.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-enterprise-comm-3.0.1.GA.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-enterprise-server-3.0.1.GA.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-remoting-cli-3.0.1.GA.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/rhq-remoting-client-api-3.0.1.GA.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/lib/testng-5.9-jdk15.jar:/opt/apps/rhq-remoting-cli-3.0.1.GA/jbossws-native-dist/deploy/lib/jbossws-client.jar org.rhq.enterprise.client.ClientMain -s localhost -u rhqadmin -p rhqadmin -t 7080

RHQ - RHQ Enterprise Remote CLI 3.0.1.GA

Remote server version is: 3.0.1.GA(81e26be20d)


Failed to load manager SubjectManager due to missing class: java.lang.reflect.InvocationTargetException

Failed to load manager SystemManager due to missing class: java.lang.reflect.InvocationTargetException


Login successful






Here is the log stack trace:


2011-03-02 12:18:04,266 ERROR [main] (org.rhq.enterprise.client.RemoteClientProxy)- Failed to simplify interface org.rhq.enterprise.server.auth.SubjectManagerRemote.

javassist.CannotCompileException: by java.lang.SecurityException: class "org.rhq.enterprise.server.auth.SubjectManagerRemoteSimple"'s signer information does not match signer information of other classes in the same package

        at javassist.ClassPool.toClass(ClassPool.java:953)

        at javassist.ClassPool.toClass(ClassPool.java:896)

        at javassist.ClassPool.toClass(ClassPool.java:854)

        at javassist.CtClass.toClass(CtClass.java:1053)

        at org.rhq.enterprise.client.RemoteClientProxy.simplifyInterface(RemoteClientProxy.java:146)

        at org.rhq.enterprise.client.RemoteClientProxy.getProcessor(RemoteClientProxy.java:67)

        at org.rhq.enterprise.client.RemoteClient.getSubjectManagerRemote(RemoteClient.java:396)

        at org.rhq.enterprise.client.RemoteClient.login(RemoteClient.java:187)

        at org.rhq.enterprise.client.commands.LoginCommand.execute(LoginCommand.java:105)

        at org.rhq.enterprise.client.commands.LoginCommand.execute(LoginCommand.java:72)

        at org.rhq.enterprise.client.ClientMain.processArguments(ClientMain.java:495)

        at org.rhq.enterprise.client.ClientMain.main(ClientMain.java:106)

Caused by: java.lang.SecurityException: class "org.rhq.enterprise.server.auth.SubjectManagerRemoteSimple"'s signer information does not match signer information of other classes in the same package

        at java.lang.ClassLoader.checkCerts(ClassLoader.java:807)

        at java.lang.ClassLoader.preDefineClass(ClassLoader.java:488)

        at java.lang.ClassLoader.defineClassCond(ClassLoader.java:626)

        at java.lang.ClassLoader.defineClass(ClassLoader.java:616)

        at java.lang.ClassLoader.defineClass(ClassLoader.java:466)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

        at java.lang.reflect.Method.invoke(Method.java:597)

        at javassist.ClassPool.toClass2(ClassPool.java:965)

        at javassist.ClassPool.toClass(ClassPool.java:947)

        ... 11 more

2011-03-02 12:18:04,504 ERROR [main] (org.rhq.enterprise.client.RemoteClientProxy)- Failed to simplify interface org.rhq.enterprise.server.system.SystemManagerRemote.

javassist.CannotCompileException: by java.lang.SecurityException: class "org.rhq.enterprise.server.system.SystemManagerRemoteSimple"'s signer information does not match signer information of other classes in the same package

        at javassist.ClassPool.toClass(ClassPool.java:953)

        at javassist.ClassPool.toClass(ClassPool.java:896)

        at javassist.ClassPool.toClass(ClassPool.java:854)

        at javassist.CtClass.toClass(CtClass.java:1053)

        at org.rhq.enterprise.client.RemoteClientProxy.simplifyInterface(RemoteClientProxy.java:146)

        at org.rhq.enterprise.client.RemoteClientProxy.getProcessor(RemoteClientProxy.java:67)

        at org.rhq.enterprise.client.RemoteClient.getSystemManagerRemote(RemoteClient.java:404)

        at org.rhq.enterprise.client.RemoteClient.login(RemoteClient.java:190)

        at org.rhq.enterprise.client.commands.LoginCommand.execute(LoginCommand.java:105)

        at org.rhq.enterprise.client.commands.LoginCommand.execute(LoginCommand.java:72)

        at org.rhq.enterprise.client.ClientMain.processArguments(ClientMain.java:495)

        at org.rhq.enterprise.client.ClientMain.main(ClientMain.java:106)

Caused by: java.lang.SecurityException: class "org.rhq.enterprise.server.system.SystemManagerRemoteSimple"'s signer information does not match signer information of other classes in the same package

        at java.lang.ClassLoader.checkCerts(ClassLoader.java:807)

        at java.lang.ClassLoader.preDefineClass(ClassLoader.java:488)

        at java.lang.ClassLoader.defineClassCond(ClassLoader.java:626)

        at java.lang.ClassLoader.defineClass(ClassLoader.java:616)

        at java.lang.ClassLoader.defineClass(ClassLoader.java:466)

        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

        at java.lang.reflect.Method.invoke(Method.java:597)

        at javassist.ClassPool.toClass2(ClassPool.java:965)

        at javassist.ClassPool.toClass(ClassPool.java:947)

        ... 11 more
Comment 1 Myee Riri 2011-03-01 22:46:02 EST
Created attachment 481778 [details]
log with the entire exception
Comment 2 Myee Riri 2011-03-01 23:25:10 EST
I should mention I am able to get it working by "unsigning" the jar i.e. (unzip the jar, rm META-INF/JBOSSCOD.*, zip it back up, enjoy).
Comment 3 Myee Riri 2011-03-02 20:02:21 EST
Most of my custom scripts work fine when I "unsign" the domain jar, but I got this error when suign the ProxyFactory

rhqadmin@localhost:7080$ println(ProxyFactory.getResource(13061)); 
javassist.CannotCompileException: by java.lang.SecurityException: class "org.rhq.enterprise.client.proxy.ResourceClientProxy__Custom__1"'s signer information does not match signer information of other classes in the same package
	at javassist.ClassPool.toClass(ClassPool.java:953)
	at javassist.ClassPool.toClass(ClassPool.java:896)
	at javassist.ClassPool.toClass(ClassPool.java:854)
	at javassist.CtClass.toClass(CtClass.java:1053)
	at org.rhq.enterprise.client.proxy.ResourceClientFactory.getResource(ResourceClientFactory.java:89)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at sun.reflect.misc.Trampoline.invoke(MethodUtil.java:37)
	at sun.reflect.GeneratedMethodAccessor6.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at sun.reflect.misc.MethodUtil.invoke(MethodUtil.java:244)
	at sun.org.mozilla.javascript.internal.MemberBox.invoke(MemberBox.java:132)
	at sun.org.mozilla.javascript.internal.NativeJavaMethod.call(NativeJavaMethod.java:190)
	at sun.org.mozilla.javascript.internal.Interpreter.interpretLoop(Interpreter.java:3073)
	at sun.org.mozilla.javascript.internal.Interpreter.interpret(Interpreter.java:2239)
	at sun.org.mozilla.javascript.internal.InterpretedFunction.call(InterpretedFunction.java:138)
	at sun.org.mozilla.javascript.internal.ContextFactory.doTopCall(ContextFactory.java:323)
	at sun.org.mozilla.javascript.internal.ScriptRuntime.doTopCall(ScriptRuntime.java:2747)
	at sun.org.mozilla.javascript.internal.InterpretedFunction.exec(InterpretedFunction.java:149)
	at sun.org.mozilla.javascript.internal.Context.evaluateReader(Context.java:1169)
	at com.sun.script.javascript.RhinoScriptEngine.eval(RhinoScriptEngine.java:106)
	at com.sun.script.javascript.RhinoScriptEngine.eval(RhinoScriptEngine.java:124)
	at javax.script.AbstractScriptEngine.eval(AbstractScriptEngine.java:247)
	at org.rhq.enterprise.client.commands.ScriptCommand.execute(ScriptCommand.java:167)
	at org.rhq.enterprise.client.ClientMain.executePromptCommand(ClientMain.java:303)
	at org.rhq.enterprise.client.ClientMain$1.run(ClientMain.java:248)
	at java.lang.Thread.run(Thread.java:662)
Caused by: java.lang.SecurityException: class "org.rhq.enterprise.client.proxy.ResourceClientProxy__Custom__1"'s signer information does not match signer information of other classes in the same package
	at java.lang.ClassLoader.checkCerts(ClassLoader.java:807)
	at java.lang.ClassLoader.preDefineClass(ClassLoader.java:488)
	at java.lang.ClassLoader.defineClassCond(ClassLoader.java:626)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:616)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:466)
	at sun.reflect.GeneratedMethodAccessor2.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at javassist.ClassPool.toClass2(ClassPool.java:965)
	at javassist.ClassPool.toClass(ClassPool.java:947)
	... 29 more
[13061] spongebob:1099 default (JBossAS Server::JBossAS5)
Comment 4 John Mazzitelli 2011-04-01 12:01:30 EDT
is this a dup of 685003?

we'll need to verify if this is fixed now.
Comment 5 John Mazzitelli 2011-04-01 12:02:44 EDT
this is a duplicate of bug #685003

*** This bug has been marked as a duplicate of bug 685003 ***

Note You need to log in before you can comment on or make changes to this bug.